#include "cstatuscam.h"
#include "ui_cstatuscam.h"
#include "logic.h"
CStatusCam::CStatusCam(QWidget *parent) :
    CMWidget(parent),
    ui(new Ui::CStatusCam)
{
    ui->setupUi(this);
    m_iTimerInterval=30;
}

CStatusCam::~CStatusCam()
{
    delete ui;
}

void CStatusCam::MInit()
{

    CCam* pCam2X=GET_CHDIRECT(CAM2X,CCam);

    ui->widget_2X->m_pContainer= &(pCam2X->m_imageContainer);
    ui->widget_2X->m_pCam=pCam2X;
    ui->widget_2X->m_bContainerInside=false;

    CCam* pCam6X=GET_CHDIRECT(CAM6X,CCam);

    ui->widget_6X->m_pContainer= &(pCam6X->m_imageContainer);
    ui->widget_6X->m_pCam=pCam6X;
    ui->widget_6X->m_bContainerInside=false;
}

void CStatusCam::MTimeFresh()
{
    ui->widget_2X->MTimeFresh();
    ui->widget_6X->MTimeFresh();
}
